---
name: Examples
---

# Examples

modules that use npmts in theis development workflow

| Module Name                                                | Description                 |
| ---------------------------------------------------------- | --------------------------- |
| [gitzone](https://www.npmjs.com/package/gitzone)           | fast npm module prototyping |
| [gulp-browser](https://www.npmjs.com/package/gulp-browser) | browserify for gulp         |
| [npmdocker](https://www.npmjs.com/package/npmdocker)       | dockerized npm development  |
| [smartcli](https://www.npmjs.com/package/smartcli)         | easy cli tool creation      |

> There are tons more... We will add them here over time.

### Tips and tricks:

- Use [npmts-g](https://www.npmjs.com/package/npmts-g) to use globally installed npmts and install npmts locally if no global npmts is available.
- Use [npmpage](https://www.npmjs.com/package/npmpage) to create a webpage from coverage reports and TypeDoc for the module
- Use [hosttoday/ht-docker-node:npmci](https://hub.docker.com/r/hosttoday/ht-docker-node/) for speedy CI builds
- Use [npmdocker](https://www.npmjs.com/package/npmdocker) for running tests consistently with docker.
